Gentoo Archives: gentoo-dev

From: "PaweĊ‚ Hajdan
To: gentoo-dev@l.g.o
Cc: python@g.o
Subject: Re: [gentoo-dev] python.eclass EAPI 4 support, this gets really annoying
Date: Fri, 14 Oct 2011 21:21:14
Message-Id: 4E98A793.8050806@gentoo.org
In Reply to: Re: [gentoo-dev] python.eclass EAPI 4 support, this gets really annoying by Brian Harring
On 10/14/11 12:39 PM, Brian Harring wrote:
> On Fri, Oct 14, 2011 at 03:29:19PM -0400, Matt Turner wrote: >> On Sat, Oct 1, 2011 at 3:16 PM, "Pawe?? Hajdan, Jr." >> <phajdan.jr@g.o> wrote: >>> OK, so what are the _blocking_ reasons for no EAPI 4 support in >>> python.eclass yet? >>> >>> I understand you have some complicated patches in flight etc etc, but >>> are they _required_ for the eclass not to break with EAPI 4? >>> >>> My point is that I'd like to use pkg_pretend in packages that use >>> python.eclass and I can't (for a long time). Unless there are really >>> important reasons like breakages I think we should really make >>> python.eclass support EAPI=4. >> >> Two weeks and no response from python@? > > You probably should've cc'd them.
CC-ing python@ then (but I expect the developers to follow gentoo-dev anyway). In case of no response, I plan to submit the thing to the council agenda. I think the parts of python eclass that I use should work with EAPI 4.

Attachments

File name MIME type
signature.asc application/pgp-signature

Replies